Bug 1573930 - ansible service broker deployment failed
Summary: ansible service broker deployment failed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.10.0
Assignee: Shawn Hurley
QA Contact: Vikas Laad
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 14:31 UTC by Vikas Laad
Modified: 2018-07-30 19:15 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-07-30 19:14:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1816 None None None 2018-07-30 19:15:04 UTC

Description Vikas Laad 2018-05-02 14:31:41 UTC
Description of problem:
Ansible service broker deployment is failing due to following error

Using config file mounted to /etc/ansible-service-broker/config.yaml
============================================================
==           Starting Ansible Service Broker...           ==
============================================================
[2018-05-02T13:57:46.242Z] [NOTICE] - Initializing clients...
time="2018-05-02T13:57:46Z" level=info msg="OpenShift version: %vv3.10.0-0.32.0"
time="2018-05-02T13:57:46Z" level=info msg="Kubernetes version: %vv1.10.0+b81c8f8"
time="2018-05-02T13:57:46Z" level=info msg="== REGISTRY CX == "
time="2018-05-02T13:57:46Z" level=info msg="Name: rh"
time="2018-05-02T13:57:46Z" level=info msg="Type: rhcc"
time="2018-05-02T13:57:46Z" level=info msg="Url: https://registry.access.redhat.com"
time="2018-05-02T13:57:46Z" level=info msg="== REGISTRY CX == "
time="2018-05-02T13:57:46Z" level=info msg="Name: localregistry"
time="2018-05-02T13:57:46Z" level=info msg="Type: local_openshift"
time="2018-05-02T13:57:46Z" level=info msg="Url: "
[2018-05-02T13:57:46.258Z] [INFO] - Initiating Recovery Process
[2018-05-02T13:57:46.259Z] [ERROR] - unable to get job states for the state: in progress - bundleinstances.automationbroker.io is forbidden: User "system:serviceaccount:openshift-ansible-service-broker:asb" cannot list bundleinstances.automationbroker.io in the namespace "openshift-ansible-service-broker": User "system:serviceaccount:openshift-ansible-service-broker:asb" cannot list bundleinstances.automationbroker.io in project "openshift-ansible-service-broker"
[2018-05-02T13:57:46.259Z] [ERROR] - bundleinstances.automationbroker.io is forbidden: User "system:serviceaccount:openshift-ansible-service-broker:asb" cannot list bundleinstances.automationbroker.io in the namespace "openshift-ansible-service-broker": User "system:serviceaccount:openshift-ansible-service-broker:asb" cannot list bundleinstances.automationbroker.io in project "openshift-ansible-service-broker"
[2018-05-02T13:57:46.259Z] [NOTICE] -
[2018-05-02T13:57:46.259Z] [INFO] - Broker configured to bootstrap on startup
[2018-05-02T13:57:46.259Z] [INFO] - Attempting bootstrap...
[2018-05-02T13:57:46.259Z] [INFO] - AnsibleBroker::Bootstrap
[2018-05-02T13:57:46.26Z] [ERROR] - unable to get batch specs - the server could not find the requested resource (get bundles.automationbroker.io)
[2018-05-02T13:57:46.26Z] [ERROR] - Something went real bad trying to retrieve batch specs for deletion... - the server could not find the requested resource (get bundles.automationbroker.io)
[2018-05-02T13:57:46.26Z] [ERROR] - Failed to bootstrap on startup!
[2018-05-02T13:57:46.26Z] [ERROR] - the server could not find the requested resource (get bundles.automationbroker.io)


Version-Release number of the following components:
openshift v3.10.0-0.32.0
kubernetes v1.10.0+b81c8f8
etcd 3.2.16

openshift-ansible head is b4be7cd6f04f26c1b7e79c28621031079083e073

rpm -q ansible
ansible-2.4.3.0-1.el7ae.noarch

ansible --version
ansible 2.4.3.0
  config file = /root/openshift-ansible/ansible.cfg
  configured module search path = [u'/root/.ansible/plugins/modules', u'/usr/share/ansible/plugins/modules']
  ansible python module location = /usr/lib/python2.7/site-packages/ansible
  executable location = /usr/bin/ansible
  python version = 2.7.5 (default, Apr 19 2018, 05:40:55) [GCC 4.8.5 20150623 (Red Hat 4.8.5-28)]

Actual results:
ansible service broker deployment is failing

Expected results:
ansible service broker pods should be running

Additional info:
Please attach logs from ansible-playbook with the -vvv flag

Comment 1 Shawn Hurley 2018-05-03 14:28:14 UTC
I believe that this PR that was merged after this bug was created should fix this.
https://github.com/openshift/openshift-ansible/pull/8178

Comment 3 Vikas Laad 2018-05-15 13:29:45 UTC
I do not see this problem anymore.

Comment 5 errata-xmlrpc 2018-07-30 19:14:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1816


Note You need to log in before you can comment on or make changes to this bug.